Skip to main content
POST
This API requires authentication. See our Authentication Guide for details.

Features

  • Identifies document type (Invoice, PO, etc.)
  • Generates field schema based on content
  • Supports PDF and images (jpg, jpeg, png)
  • Accepts URL or base64-encoded file content
  • Maximum file size: 10MB
  • Returns immediately with a task_id for status tracking
  • Optional callback URL for webhook notification when processing completes

Request Body

document_url
string
URL of the document to analyze
file_content
string
Base64 encoded file content
callback_url
string
Optional URL for webhook notification when processing completes

Authorizations

Authorization
string
header
required

Enter your API key

Body

application/json

Request model for asynchronous schema generation

document_url
string | null
file_content
string | null
provider
enum<string> | null
Available options:
openai,
anthropic,
gemini
callback_url
string | null

Response

Successful Response

Response model for asynchronous schema generation request

task_id
string
required
status
enum<string>
required
Available options:
processing,
retrying,
completed,
failed
message
string
required